"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getCloudOptions = void 0;
const fs_1 = require("fs");
const strip_json_comments_1 = require("./strip-json-comments");
const { workspaceRoot } = require('./nx-imports-light');
function getCloudOptions(taskRunnerConfiguration) {
    var _a, _b, _c, _d, _e, _f, _g, _h;
    const nxJson = JSON.parse((0, strip_json_comments_1.stripJsonComments)((0, fs_1.readFileSync)(`${workspaceRoot}/nx.json`).toString(), {
        trailingCommas: true,
    }));
    const result = {};
    const defaultCacheableOperations = [];
    for (const key in nxJson.targetDefaults) {
        if (nxJson.targetDefaults[key].cache) {
            defaultCacheableOperations.push(key);
        }
    }
    if (nxJson.nxCloudAccessToken) {
        (_a = result.accessToken) !== null && _a !== void 0 ? _a : (result.accessToken = nxJson.nxCloudAccessToken);
    }
    if (nxJson.nxCloudId) {
        (_b = result.nxCloudId) !== null && _b !== void 0 ? _b : (result.nxCloudId = nxJson.nxCloudId);
    }
    if (nxJson.nxCloudUrl) {
        (_c = result.url) !== null && _c !== void 0 ? _c : (result.url = nxJson.nxCloudUrl);
    }
    if (nxJson.nxCloudEncryptionKey) {
        result.encryptionKey = nxJson.nxCloudEncryptionKey;
    }
    if (nxJson.parallel) {
        (_d = result.parallel) !== null && _d !== void 0 ? _d : (result.parallel = nxJson.parallel);
    }
    if (nxJson.cacheDirectory) {
        (_e = result.cacheDirectory) !== null && _e !== void 0 ? _e : (result.cacheDirectory = nxJson.cacheDirectory);
    }
    if (defaultCacheableOperations.length) {
        (_f = result.cacheableOperations) !== null && _f !== void 0 ? _f : (result.cacheableOperations = defaultCacheableOperations);
    }
    return {
        nxJson,
        nxCloudOptions: Object.assign(Object.assign({}, result), (_h = (_g = nxJson.tasksRunnerOptions) === null || _g === void 0 ? void 0 : _g[taskRunnerConfiguration]) === null || _h === void 0 ? void 0 : _h.options),
    };
}
exports.getCloudOptions = getCloudOptions;
//# sourceMappingURL=get-cloud-options.js.map